Page MenuHomePhabricator

New flow topics not appearing in watchlist
Closed, ResolvedPublic

Description

I'm watching a board, but new topics are not appearing in my watchlist. E.g. "Historiken" should be in there.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : wmf/1.26wmf18Restore 'new topic' records to the watchlist
mediawiki/extensions/Flow : masterRestore 'new topic' records to the watchlist

Event Timeline

Quiddity created this task.Aug 7 2015, 10:27 PM
Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a subscriber: Quiddity.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 7 2015, 10:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope triaged this task as High priority.Aug 12 2015, 11:43 PM
Catrope set Security to None.

Change 231727 had a related patch set uploaded (by Mattflaschen):
Restore 'new topic' records to the watchlist

https://gerrit.wikimedia.org/r/231727

With the initial version of that patch set, it will show two rows on the watchlist, only if they have both the board and topic watched (one for the topic itself, one for the initial post of the topic). Also, the 'N' continues to follow the initial post.

If that doesn't work, I can adjust it.

Also, this does not attempt to recover records that were never inserted into the RC table.

Danny wanted the topic entry the be explicitly suppressed from everywhere so that the first post (created at the same time as the topic) is the one that represents the topic creation in RC, watchlist, etc.

This was done is T94360: E9. Suppress the redundant "topic created" line in logs (watchlist, contributions, history, recent changes)

Danny wanted the topic entry the be explicitly suppressed from everywhere so that the first post (created at the same time as the topic) is the one that represents the topic creation in RC, watchlist, etc.

However, the issue here is that the first post to a new topic will not show on your watchlist (since you haven't watched the topic yet, only the board).

So currently in production, watching a board does not give you any information about new topics.

I agree, it's pretty bad. Is there a way to keep rc_insert so the watchlist knows there is something new while still suppressing the double entries in the UI?

rc_insert definitely has to be true. There is probably a way to deal with the double-entry, but that only happens if both board and topic are watched, so that would have to be taken into account:

  1. If you only are watching the board, you should see topics that are created (even though you will not be watching those topics initially).
  2. If you're only watching the topic, you should see all information about that topic, including the first post/its creation (though... you're probably already seen that initial post if the topic is watched).
  3. If you're watching both, ideally it would only show once (consistent with the prior patch), but the question is how high priority this is, and whether it's a blocker (right now without that patch it's more broken, IMHO).

I suggest we merge the patch to fix the regression then if we want we could file the double-line thing as a subtask and prioritize.

Change 231727 merged by jenkins-bot:
Restore 'new topic' records to the watchlist

https://gerrit.wikimedia.org/r/231727

Change 232383 had a related patch set uploaded (by Mattflaschen):
Restore 'new topic' records to the watchlist

https://gerrit.wikimedia.org/r/232383

Checked in betalabs.
Please confirm that the following is ok:
Only the second reply to a new topic makes the topic appear in the Watchlist.

When a new topic is created, it shows in

  • View history: Yes
  • Special:RecentChanges No
  • Special:Watchlist No
  • Special:EditWatchlist Yes

Note: Is the following cases a desired behavior?

  1. The page is not on my Watchlist, and I am not subscribed to a topic. I am replying to a topic, and the topic is added to my watchlist and marked as Subscribed.
  2. When I unsubscribe from some topics - all old records related to them are deleted from my Watchlist.

Only the second reply to a new topic makes the topic appear in the Watchlist.

Please give your exact order of steps. To see new topics (where you have not yet watched the topic), you need to have the board watched. It would be helpful to include the Special:Watchlist and Special:EditWatchlist checks here.

  • Special:RecentChanges No

If should show the initial post, though (the goal of the earlier change was to avoid an entry for both new topic and initial post).

Note: Is the following cases a desired behavior?

  1. The page is not on my Watchlist, and I am not subscribed to a topic. I am replying to a topic, and the topic is added to my watchlist and marked as Subscribed.
  2. When I unsubscribe from some topics - all old records related to them are deleted from my Watchlist.

Yes, that sounds right.

Change 232383 merged by jenkins-bot:
Restore 'new topic' records to the watchlist

https://gerrit.wikimedia.org/r/232383

To see new topics (where you have not yet watched the topic), you need to have the board watched. It would be helpful to include the Special:Watchlist and Special:EditWatchlist checks here.

  1. Enabled Flow board and added it to my Watchlist (clicked on the star) e.g. Etonkovidova creates Talk:ET20

Special:Watchlist
Talk:ET20; 22:55 . . (+15)‎ . . Etonkovidova (Talk | contribs | block) created the description

Special:EditWatchlist
ET20 (Talk)

  1. Added a topic '01'

Special:Watchlist nothing

Special:EditWatchlist
01 (History)

I guess it's, in a sense, quite logical: when a topic is created (and, of course, the first post is added) - the topic becomes 'Subscribed' only after 'Add topic' is hit.
And this event is not registered in my watched list.
The second reply is the update to the watched topic - and it shows up in my Watchlist.

Two things here

  1. Looks weird that adding topics to my watched board is not recorded in my Watchlist.
  2. adding a Flow page to my watch list is recorded as " created the description".

Forgot to say, it works now. :)

Checked in betalabs for various test cases - adding topics to empty board(watched/not watched) and to existing boards(watched/unwatched).

Added new topic(s) is always displayed in Watchlist unless a user unsubscribes from it.
On unwatched boards, added new topics is displayed with N in Watchlist.

DannyH closed this task as Resolved.Aug 19 2015, 6:33 PM
DannyH added a subscriber: DannyH.
  1. Looks weird that adding topics to my watched board is not recorded in my Watchlist.

Yes, the whole point of this task is for this to work (and it seems to be in production now). Did it when you tested later?